 /*
 *
 * [desc.]
 */
#include "Tools/Viewer/Bdd/include/BaseV.h"

namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     

  void BaseV::setComment(string s){
    comment=s;
  }
  
  QList <BaseP> *BaseV::getBaseP()
  {
    return pos;
  }

  QList<morpheo::tools::viewer::bdd::Group> *BaseV::getGroups()
  {
    return groups;
  }

  QList<morpheo::tools::viewer::bdd::LimitParam> BaseV::getLimitParam()
  {
    return limitp->values();
  }

  string BaseV::getLinksrc(string name)
  {
    return link_src->value(name);
  }
  string BaseV::getLinkdest(string name)
  {
    return link_dest->value(name);
  }

  int BaseV::nbGroup(string namegroup)
  {
    int i=0,j=0, res=-1;
    while (i!=-1)
      {
	i=listgroup->indexOf(namegroup,j);
	j=i+1;
	res++;
      }
    return res;
  }

};//end bdd
};//end viewer
};//end tools
};//end morpheo
